CreateRootVolumeTemplateFromVolumeSnapshot
CreateRootVolumeTemplateFromVolumeSnapshot
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
snapshotUuidStringRequiredThe snapshot UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the root volume image.
descriptionStringOptional. The detailed description of the root volume image.
guestOsTypeStringOptional. The operating system type of the guest VM instance that corresponds to the root volume image.
backupStorageUuidsListRequiredThe backup storage UUID list.
platformStringOptional. The operating system platform of the root volume image.
systembooleanOptional. Whether the root volume image is a system root volume image.
resourceUuidStringOptional. The UUID of the root volume image. If specified, the root volume image will use the specified value as UUID.
architectureStringOptional.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/images/root-volume-templates/from/volume-snapshots/{snapshotUuid}
/zstack/v1/images/root-volume-templates/from/volume-snapshots/{snapshotUuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/images/root-volume-templates/from/volume-snapshots/{snapshotUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","guestOsType":"<guestOsType>","backupStorageUuids":["<backupStorageUuids>"],"platform":"<platform>","system":true,"resourceUuid":"<resourceUuid>","architecture":"<architecture>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "200e14e0f67d4b7a87fbaa6821c3a250", "name": "My Root Volume Template", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "raw", "backupStorageRefs": [ { "id": 0, "imageUuid": "200e14e0f67d4b7a87fbaa6821c3a250", "backupStorageUuid": "9b24855411df4652a521ca4d1d4e86f2", "installPath": "ceph://zs-images/0cd599ec519249489475112a058bb93a", "status": "Ready" } ] } }Change History
This API has no change history records yet.
